Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class AbstractOptionalContactAddressType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ContactAddressBaseType, ContactAddressWithStatusAndSourceType, ContactAddressWithUpdateStatusType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class AbstractOptionalContactAddressType

extends Object
implements Serializable

Java class for AbstractOptionalContactAddressType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalContactAddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AbstractOptionalContactAddressType()`

Method Summary
`BestIdentifierType` | `getAddressRegionalCode()` Gets the value of the addressRegionalCode property.
`String` | `getBoxNumber()` Gets the value of the boxNumber property.
`String` | `getCityCode()` Gets the value of the cityCode property.
`List<LocalizedDescriptionType>` | `getCityNames()` Gets the value of the cityNames property.
`BestIdentifierType` | `getCityRegionalCode()` Gets the value of the cityRegionalCode property.
`Integer` | `getCountryCode()` Gets the value of the countryCode property.
`String` | `getCountryIsoCode()` Gets the value of the countryIsoCode property.
`List<LocalizedDescriptionType>` | `getCountryNames()` Gets the value of the countryNames property.
`String` | `getHouseNumber()` Gets the value of the houseNumber property.
`org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
`String` | `getPostalCode()` Gets the value of the postalCode property.
`String` | `getRegionCode()` Gets the value of the regionCode property.
`List<LocalizedDescriptionType>` | `getRegionNames()` Gets the value of the regionNames property.
`String` | `getStreetCode()` Gets the value of the streetCode property.
`List<LocalizedDescriptionType>` | `getStreetNames()` Gets the value of the streetNames property.
`BestIdentifierType` | `getStreetRegionalCode()` Gets the value of the streetRegionalCode property.
`Integer` | `getTypeCode()` Gets the value of the typeCode property.
`List<LocalizedDescriptionType>` | `getTypeDescriptions()` Gets the value of the typeDescriptions property.
`void` | `setAddressRegionalCode(BestIdentifierType value)` Sets the value of the addressRegionalCode property.
`void` | `setBoxNumber(String value)` Sets the value of the boxNumber property.
`void` | `setCityCode(String value)` Sets the value of the cityCode property.
`void` | `setCityRegionalCode(BestIdentifierType value)` Sets the value of the cityRegionalCode property.
`void` | `setCountryCode(Integer value)` Sets the value of the countryCode property.
`void` | `setCountryIsoCode(String value)` Sets the value of the countryIsoCode property.
`void` | `setHouseNumber(String value)` Sets the value of the houseNumber property.
`void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
`void` | `setPostalCode(String value)` Sets the value of the postalCode property.
`void` | `setRegionCode(String value)` Sets the value of the regionCode property.
`void` | `setStreetCode(String value)` Sets the value of the streetCode property.
`void` | `setStreetRegionalCode(BestIdentifierType value)` Sets the value of the streetRegionalCode property.
`void` | `setTypeCode(Integer value)` Sets the value of the typeCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOptionalContactAddressType

    public AbstractOptionalContactAddressType()

Method Detail

### getCountryCode

    public Integer getCountryCode()

  Gets the value of the countryCode property.

  Returns:
    possible object is `Integer`

### setCountryCode

    public void setCountryCode(Integer value)

  Sets the value of the countryCode property.

  Parameters:
    `value` - allowed object is `Integer`

### getCountryIsoCode

    public String getCountryIsoCode()

  Gets the value of the countryIsoCode property.

  Returns:
    possible object is `String`

### setCountryIsoCode

    public void setCountryIsoCode(String value)

  Sets the value of the countryIsoCode property.

  Parameters:
    `value` - allowed object is `String`

### getCountryNames

    public List<LocalizedDescriptionType> getCountryNames()

  Gets the value of the countryNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the countryNames property.

  For example, to add a new item, do as follows:

          getCountryNames().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

### getRegionCode

    public String getRegionCode()

  Gets the value of the regionCode property.

  Returns:
    possible object is `String`

### setRegionCode

    public void setRegionCode(String value)

  Sets the value of the regionCode property.

  Parameters:
    `value` - allowed object is `String`

### getRegionNames

    public List<LocalizedDescriptionType> getRegionNames()

  Gets the value of the regionNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the regionNames property.

  For example, to add a new item, do as follows:

          getRegionNames().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

### getCityCode

    public String getCityCode()

  Gets the value of the cityCode property.

  Returns:
    possible object is `String`

### setCityCode

    public void setCityCode(String value)

  Sets the value of the cityCode property.

  Parameters:
    `value` - allowed object is `String`

### getCityRegionalCode

    public BestIdentifierType getCityRegionalCode()

  Gets the value of the cityRegionalCode property.

  Returns:
    possible object is `BestIdentifierType`

### setCityRegionalCode

    public void setCityRegionalCode(BestIdentifierType value)

  Sets the value of the cityRegionalCode property.

  Parameters:
    `value` - allowed object is `BestIdentifierType`

### getCityNames

    public List<LocalizedDescriptionType> getCityNames()

  Gets the value of the cityNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cityNames property.

  For example, to add a new item, do as follows:

          getCityNames().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

### getPostalCode

    public String getPostalCode()

  Gets the value of the postalCode property.

  Returns:
    possible object is `String`

### setPostalCode

    public void setPostalCode(String value)

  Sets the value of the postalCode property.

  Parameters:
    `value` - allowed object is `String`

### getStreetCode

    public String getStreetCode()

  Gets the value of the streetCode property.

  Returns:
    possible object is `String`

### setStreetCode

    public void setStreetCode(String value)

  Sets the value of the streetCode property.

  Parameters:
    `value` - allowed object is `String`

### getStreetRegionalCode

    public BestIdentifierType getStreetRegionalCode()

  Gets the value of the streetRegionalCode property.

  Returns:
    possible object is `BestIdentifierType`

### setStreetRegionalCode

    public void setStreetRegionalCode(BestIdentifierType value)

  Sets the value of the streetRegionalCode property.

  Parameters:
    `value` - allowed object is `BestIdentifierType`

### getStreetNames

    public List<LocalizedDescriptionType> getStreetNames()

  Gets the value of the streetNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the streetNames property.

  For example, to add a new item, do as follows:

          getStreetNames().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

### getHouseNumber

    public String getHouseNumber()

  Gets the value of the houseNumber property.

  Returns:
    possible object is `String`

### setHouseNumber

    public void setHouseNumber(String value)

  Sets the value of the houseNumber property.

  Parameters:
    `value` - allowed object is `String`

### getBoxNumber

    public String getBoxNumber()

  Gets the value of the boxNumber property.

  Returns:
    possible object is `String`

### setBoxNumber

    public void setBoxNumber(String value)

  Sets the value of the boxNumber property.

  Parameters:
    `value` - allowed object is `String`

### getAddressRegionalCode

    public BestIdentifierType getAddressRegionalCode()

  Gets the value of the addressRegionalCode property.

  Returns:
    possible object is `BestIdentifierType`

### setAddressRegionalCode

    public void setAddressRegionalCode(BestIdentifierType value)

  Sets the value of the addressRegionalCode property.

  Parameters:
    `value` - allowed object is `BestIdentifierType`

### getTypeCode

    public Integer getTypeCode()

  Gets the value of the typeCode property.

  Returns:
    possible object is `Integer`

### setTypeCode

    public void setTypeCode(Integer value)

  Sets the value of the typeCode property.

  Parameters:
    `value` - allowed object is `Integer`

### getTypeDescriptions

    public List<LocalizedDescriptionType> getTypeDescriptions()

  Gets the value of the typeDescriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the typeDescriptions property.

  For example, to add a new item, do as follows:

          getTypeDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

### getInceptionDate

    public org.joda.time.DateTime getInceptionDate()

  Gets the value of the inceptionDate property.

  Returns:
    possible object is `String`

### setInceptionDate

    public void setInceptionDate(org.joda.time.DateTime value)

  Sets the value of the inceptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.